/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"xl.h"


XL_SEXP *
gb_append(XLISP_ENV * env,XL_SEXP * s)
{
XL_SEXP * a,* b;
	a = eval(env,get_el(s,1));
	if ( get_type(a) == XLT_ERROR )
		return a;
	b = eval(env,get_el(s,2));
	if ( get_type(b) == XLT_ERROR )
		return b;
	return append(a,b);
}

